Retrieve an invoice

GET https://api.tamio.com/v2/invoices/retrieve/{uuid}

Retrieves a single invoice by its UUID with full details including customer information, products, payment status, and fulfillment data.

Path Parameters

uuid string*

UUID of the invoice to retrieve

Responses

200 Invoice retrieved successfully

Invoice retrieved successfully

status integer
invoice Invoice
400 Bad request. Possible `error_code` values:
401 Missing or invalid API key
/invoices/retrieve/{uuid}
1const response = await fetch("https://api.tamio.com/v2/invoices/retrieve/{uuid}", {
2 headers: {
3 "Authorization": "Bearer YOUR_API_KEY",
4 "Accept": "application/json"
5 }
6});
7const data = await response.json();
Responses
{
  "status": 200,
  "invoice": {
    "id": "00000000-0000-0000-0000-000000000000",
    "object": "invoice",
    "currency": "EUR",
    "paid": false,
    "processing_payment": false,
    "prefix": "INV-",
    "number": 1001,
    "total": 5000,
    "payment": "stripe_creditcard",
    "date": 1700000000,
    "status": "paid",
    "subscription": "00000000-0000-0000-0000-000000000000",
    "locale": "en",
    "payment_retried": false,
    "payment_charge_date": 0,
    "3d_secure_failure": false,
    "authorization_expiry": 0,
    "affiliate_program": "00000000-0000-0000-0000-000000000000",
    "affiliate": "00000000-0000-0000-0000-000000000000",
    "late_failure": false,
    "has_subscriptions": false,
    "is_instalment": false,
    "fortnox_submitted": false,
    "start_date": 0,
    "end_date": 0,
    "has_notes": false,
    "customer_information": {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "string",
      "country": "string",
      "email": "string",
      "stripe_customer_id": "string",
      "client_id": "00000000-0000-0000-0000-000000000000",
      "billing_information": {
        "name": "string",
        "country": "string",
        "email": "string",
        "phone": "string",
        "address": "string",
        "postcode": "string",
        "city": "string",
        "ip": "string",
        "state": "string",
        "vat": "string",
        "company": "string"
      },
      "shipping_information": {
        "address": "string",
        "postcode": "string",
        "country": "string",
        "city": "string",
        "state": "string",
        "name": "string",
        "email": "string",
        "phone": "string",
        "company": "string"
      }
    },
    "products": [],
    "shipping": {
      "has_shipping": false,
      "method": "string",
      "tracking": "string",
      "shipped": false,
      "nshift_shipment_prepared": false,
      "nshift_shipment_stored": false,
      "is_nshift_shipment": false
    },
    "totals": {
      "total": 0,
      "gateway_fees": 0,
      "affiliate_revenue": 0,
      "refunded_total": 0,
      "amount_paid": 0,
      "amount_cancelled": 0,
      "subtotal": 0,
      "discount": 0,
      "item_count": 0,
      "tax": 0,
      "shipping": 0,
      "shipping_total": 0,
      "shipping_discount": 0,
      "shipping_tax": 0,
      "moss_tax_total": 0,
      "moss_taxable_amount": 0,
      "item_total": 0,
      "item_total_with_tax": 0,
      "oss_taxable_amount": 0,
      "oss_tax_total": 0,
      "interest": 0,
      "amount_due": 0
    }
  }
}